

def speciescode2taxon(code):
    """
    The Taxonomic class of an MNP species is embedded in its species code:
    S02xxxxxx --> vogels V
    S06xxxxxx --> vlinders E
    S09xxxxxx --> planten P
    :param code: MNP species code
    :return: taxon class {V, E, P}
    """
    d = {'S02': 'V',
         'S06': 'E',
         'S09': 'P'}
    try:
        return d[code[:3]]
    except KeyError:
        raise Exception('invalid species code presented: {}'.format(code))
